# $Revision: 1.5 $, $Date: 2012/01/15 19:47:46 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	WebService
%define	pnam	Google-Language
Summary:	WebService::Google::Language - Perl interface to the Google AJAX Language API
Name:		perl-WebService-Google-Language
Version:	0.14
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/WebService/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	0c55bb3588dd83e646c20d53b20ddd80
URL:		http://search.cpan.org/dist/WebService-Google-Language/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-JSON >= 2
BuildRequires:	perl-libwww
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
WebService::Google::Language is an object-oriented interface to the
Google AJAX Language API <http://code.google.com/apis/ajaxlanguage/>.

The AJAX Language API is a web service to translate and detect the
language of blocks of text.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
# XXX dir
%dir %{perl_vendorlib}/WebService/Google
%{perl_vendorlib}/WebService/Google/*.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-WebService-Google-Language.spec,v $
Revision 1.5  2012/01/15 19:47:46  zbyniu
- up to 0.14

Revision 1.4  2011/07/01 14:26:18  marti
- up to 0.13

Revision 1.3  2009/10/30 14:34:26  glen
- release 2

Revision 1.2  2009/07/25 20:52:51  glen
- release 1

Revision 1.1  2009/03/05 14:12:38  glen
- new
